PHPExcel_Calculation_Function

category | PHPExcel
package | PHPExcel_Calculation
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Calculation_Function

    __construct(string $pCategory, string $pExcelName, string $pPHPExcelName)

### Parameters

#### $pCategory

`string`

Category (represented by CATEGORY_*)

#### $pExcelName

`string`

Excel function name

#### $pPHPExcelName

`string`

PHPExcel function mapping

### Exceptions

`\PHPExcel_Calculation_Exception` |

## Get Category (represented by CATEGORY_*)

    getCategory() : string

### Returns

`string`

## Get Excel name

    getExcelName() : string

### Returns

`string`

## Get PHPExcel name

    getPHPExcelName() : string

### Returns

`string`

## Set Category (represented by CATEGORY_*)

    setCategory(string $value)

### Parameters

#### $value

`string`

### Exceptions

`\PHPExcel_Calculation_Exception` |

## Set Excel name

    setExcelName(string $value)

### Parameters

#### $value

`string`

## Set PHPExcel name

    setPHPExcelName(string $value)

### Parameters

#### $value

`string`

### Properties

##

    $_category : string

##

    $_excelName : string

##

    $_phpExcelName : string

### Constants

## CATEGORY_CUBE

    CATEGORY_CUBE

## CATEGORY_DATABASE

    CATEGORY_DATABASE

## CATEGORY_DATE_AND_TIME

    CATEGORY_DATE_AND_TIME

## CATEGORY_ENGINEERING

    CATEGORY_ENGINEERING

## CATEGORY_FINANCIAL

    CATEGORY_FINANCIAL

## CATEGORY_INFORMATION

    CATEGORY_INFORMATION

## CATEGORY_LOGICAL

    CATEGORY_LOGICAL

## CATEGORY_LOOKUP_AND_REFERENCE

    CATEGORY_LOOKUP_AND_REFERENCE

## CATEGORY_MATH_AND_TRIG

    CATEGORY_MATH_AND_TRIG

## CATEGORY_STATISTICAL

    CATEGORY_STATISTICAL

## CATEGORY_TEXT_AND_DATA

    CATEGORY_TEXT_AND_DATA